Kerbal Space Program - Bug #5271

Inconsistent thermal behavior in multiple runs of same re-entry scenario
07/27/2015 06:22 AM - achurch
Description

Note: | suspect this is related to bug #5181, but the particular circumstances are different so I'm filing this separately.

In version 1.0.4, when | attempt re-entry with a spacecraft, the spacecraft parts seem to heat up in a random manner, giving
inconsistent results even when rerunning the same (modulo differences of 10-20 meters in periapsis) re-entry scenario. Following
the reproduction steps below, | have seen in various runs:

- The docking port rapidly heats up to near its maximum temperature, then is instantly reset to a temperature below the gauge
display threshold, 4-5 times in the space of about 2 seconds.

- The docking port rapidly heats up to about 80% of its maximum temperature, then stays there until the craft exits the atmosphere
(70km), at which point the temperature drops below the gauge display threshold in about a quarter of a second.

- One of the four RCS quads repeatedly heats and cools like the docking port example above; two of the RCS quads heat to about
the halfway point on the temperature gauge; and the last RCS quad does not heat up enough to display the temperature gauge.

- One of the three landing struts quickly heats up to 1387 degrees skin temperature (checked with the debug menu), stays at exactly
that temperature for about a minute as internal temperature increases, then quickly cools down to around 300 degrees. The other
landing struts do not reach the temperature gauge display threshold during this time.

Version 1.0.2 did not exhibit this behavior; spacecraft parts heated in a consistent manner on each re-entry attempt.

To reproduce:

1) Load the attached save file.
2) Switch to the flight "Re-entry Test".

3) Accelerate retrograde until periapsis reaches approximately 32500m.

4) Set SAS to retrograde hold.

4) Enter Kerbin's atmosphere (70km) at time warp factor 1 facing retrograde.
5) Observe heating of spacecraft parts during re-entry.

Version: 1.0.4 (Linux 64-bit), build 00861, vanilla (never modded)

Related issues:
Related to Kerbal Space Program - Bug #5181: Certain part combinations overhe... Closed 06/25/2015

History

#1 - 07/27/2015 08:21 AM - Kasuha
- File screenshot72.png added
- File screenshot73.png added

| activated temperature display in context menus and tried to look at changes in temperature of the docking port and RCS block over the course of the
reentry.

What | noticed is that the behavior seems to depend on roll of the ship. At certain roll angles, the skin temperature is constant while the bulk
temperature keeps rising. Bulk temperature can significantly exceed skin temperature in such case. In other roll angles, the skin temperature of both
started varying wildly - hundreds of degrees up and down within fraction of second. Rolling it back to 'constant temperature' angle left the last value on
them, occasionally even lower value than what was the temperature at which the ship entered the atmosphere.

#2 - 07/27/2015 11:26 AM - Squelch

- Related to Bug #5181: Certain part combinations overheat depending on global orientation. added
#3 - 07/27/2015 11:28 AM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

| can confirm the observations, and it certainly looks like another example of #5181.

Thanks for the report.

#4 - 04/23/2016 01:32 PM - achurch

| just wanted to confirm that this appears to be fixed in version 1.1.0. Thanks for the fix!

#5 - 07/17/2016 09:46 AM - TriggerAu
- Status changed from Investigating to Needs Clarification

- % Done changed from 20 to 0

#6 - 07/20/2016 10:57 AM - achurch
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#7 - 10/13/2016 11:16 AM - TriggerAu

- Status changed from Resolved to Closed

Files

reentry.sfs 82.7 KB 07/27/2015 achurch

screenshot72.png 1.48 MB 07/27/2015 Kasuha

screenshot73.png 1.36 MB 07/27/2015 Kasuha
